{ config, pkgs, lib, ... }:
let
  cfg = config.services.uptime-kuma;
in {
  services.uptime-kuma = {
    enable = true;
    settings = {
      PORT = "5059";
      HOST = "127.0.1.2";
    };
  };

  services.nginx.virtualHosts."uptime.home.feal.no" = {
    locations."/".proxyPass = "http://${cfg.settings.HOST}:${cfg.settings.PORT}";
  };
}
